# Adopter Documentation

Adopters may also want to check out the [user documentation](../user/README.md) and [developer documentation](../developer/README.md)
as they mainly want to use and integrate the EDC into their own products and services, and therefore need to implement
against existing interfaces while adhering to existing standards and coding style guides.

As an adopter, I want to ...
- ... get an overview of available features and extensions.
- ... get an insight into the roadmap.
- ... integrate the EDC into products and services.
- ... customize the EDC.
- ... write or modify a launcher.
- ... write own extensions.
- ... get an overview of provided interfaces.
- ... implement against existing interfaces.
- ... know what configurations can be applied.
- ... create new configuration properties.
- ... monitor the EDC at runtime.
- ... deal with the deployment of the EDC.
- ... understand the functionalities in detail.
- ... take a look at the codebase.
- ... formulate new requirements.
- ... contribute to the codebase of the OSS.

As an adopter, I do not want to ...
- ... use unstable APIs.

## Important links

- [Contribution guidelines](../_helper/contributing.md)
- [Customize policy engine](../developer/policy-engine.md)
- [List of extensions](../overview/extensions.md)
- [List of launchers](../overview/launchers.md)
- [OpenApi Documentation](_helper/openapi.md)
- [Samples](../overview/hands-on.md)
