# Developer Documentation

As a developer, I want to ...

- ... extend the existing codebase.
- ... write new extensions.
- ... work on the service provider interface (SPI).
- ... improve core implementations.
- ... have clear requirements.
- ... add documentation to new and existing code.
- ... stick to existing coding styleguides.
- ... get an overview of past decision records.
- ... improve software tests.

As a developer, I do not want to ...

- ... bring in new requirements.
- ... deep-dive into use cases.

## Important links

- [Architectural principles](../architecture/architecture-principles.md)
- [Cloud testing](cloud_testing.md)
- [Command queue](command-queue.md)
- [Contribution guidelines](../_helper/contributing.md)
- [Customize policy engine](policy-engine.md)
- [Dependency resolution](dependency_resolution.md)
- [Data plane framework](data-plane-framework/README.md)
- [Dynamic SQL Queries](sql_queries.md)
- [Events](events.md)
- [Logging](logging.md)
- [Metrics](metrics.md)
- [Releases](releases.md)
- [Serialization Context](./decision-records/2022-07-04-type-manager/README.md)
- [State machine](state-machine.md)
- [Style guide](_helper/styleguide.md)
- [Testing](testing.md)

> All implementations have to follow existing design principles and architectural patterns that are provided as
> [Decision Records](decision-records/README.md). Please make sure to continuously check and extend the
> list. The same applies to the [Contributing.md]({{main}}CONTRIBUTING.md).
