# User Documentation

Users may also want to check out the [adopter documentation](../adopter/README.md)
as they mainly want to use and integrate the EDC into their projects and use cases, and therefore may need to 
implement against existing interfaces while adhering to existing standards and coding style guides.

As a user, I want to ...
- ... get an overview of available features and extensions.
- ... get an overview of example use cases.
- ... get an insight into the roadmap.
- ... use and integrate the EDC into research or industrial projects.
- ... use the EDC as-is, if possible.
- ... use existing launchers.
- ... get an overview of provided interfaces.
- ... know what prerequisites are required.
- ... know what configurations can be applied.
- ... monitor the EDC at runtime.
- ... deal with the deployment of the EDC.
- ... understand the functionalities without getting too much into details.

As a user, I do not want to ...
- ... take a look at the codebase.
- ... use unstable APIs.
- ... formulate new requirements.
- ... provide code contributions.

## Important links

- [Configuration](configuration.md)
- [Contribution guidelines](../_helper/contributing.md)
- [Deployment](deployment.md)
- [OpenApi Documentation](_helper/openapi.md)
- [Monitoring](monitoring.md)
- [Use Cases](use-cases.md)
