/*
 *  Copyright (c) 2022 Microsoft Corporation
 *
 *  This program and the accompanying materials are made available under the
 *  terms of the Apache License, Version 2.0 which is available at
 *  https://www.apache.org/licenses/LICENSE-2.0
 *
 *  SPDX-License-Identifier: Apache-2.0
 *
 *  Contributors:
 *       Microsoft Corporation - initial API and implementation
 *       Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 *
 */

plugins {
    `java-library`
}

val gatlingVersion: String by project
val storageBlobVersion: String by project
val restAssured: String by project
val azureIdentityVersion: String by project
val azureKeyVaultVersion: String by project

dependencies {
    testImplementation("io.gatling.highcharts:gatling-charts-highcharts:${gatlingVersion}") {
        exclude(group = "io.gatling", module = "gatling-jms")
        exclude(group = "io.gatling", module = "gatling-jms-java")
        exclude(group = "io.gatling", module = "gatling-mqtt")
        exclude(group = "io.gatling", module = "gatling-mqtt-java")
        exclude(group = "io.gatling", module = "gatling-jdbc")
        exclude(group = "io.gatling", module = "gatling-jdbc-java")
        exclude(group = "io.gatling", module = "gatling-redis")
        exclude(group = "io.gatling", module = "gatling-redis-java")
        exclude(group = "io.gatling", module = "gatling-graphite")
    }

    testImplementation(project(":extensions:azure:blobstorage:blob-core"))
    testImplementation(project(":extensions:azure:vault"))
    testImplementation(project(":extensions:junit"))
    testImplementation(testFixtures(project(":system-tests:tests")))
    testImplementation(testFixtures(project(":system-tests:azure-tests")))
    testImplementation(testFixtures(project(":extensions:azure:azure-test")))
    testImplementation("com.azure:azure-storage-blob:${storageBlobVersion}")
    testImplementation("io.rest-assured:rest-assured:${restAssured}")
    testImplementation("com.azure:azure-identity:${azureIdentityVersion}")
    testImplementation("com.azure:azure-security-keyvault-secrets:${azureKeyVaultVersion}")

    testRuntimeOnly(project(":system-tests:runtimes:azure-data-factory-transfer-provider"))
    testRuntimeOnly(project(":system-tests:runtimes:azure-data-factory-transfer-consumer"))
}

